libogg documentation | libogg release 1.0 - 20020719

# ogg_stream_reset

declared in "ogg/ogg.h";

This function reinitializes the values in the ogg_stream_state, just like ogg_stream_reset(). Additionally, it sets the stream serial number to the given value.

    int ogg_stream_reset_serialno(ogg_stream_state *os, int serialno);

### Parameters

os
  Pointer to the ogg_stream_state struct to be cleared.
serialno
  New stream serial number to use

### Return Values

> - 0 is always returned.

copyright © 2002 Xiph.org Foundation | Ogg Vorbis team@xiph.org
libogg documentation | libogg release 1.0 - 20020719